Bug 411581 - iwl4965 "busy" on iwconfig and circular lock message in log
iwl4965 "busy" on iwconfig and circular lock message in log
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-12-05 01:14 EST by Petr Tuma
Modified: 2007-12-23 10:46 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-12-23 10:46:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Kernel message about circular lock dependency (8.89 KB, text/plain)
2007-12-05 01:14 EST, Petr Tuma
no flags Details
Circular lock log for the current rawhide kernel (8.69 KB, text/plain)
2007-12-06 15:51 EST, Petr Tuma
no flags Details

  None (edit)
Description Petr Tuma 2007-12-05 01:14:35 EST
Description of problem:

I have a ThinkPad T61 with iwl4965, which does not seem to work. Upon boot (or
rf kill switch off), the driver gets loaded and things such as network scanning
seem to work, but some commands, such as "iwconfig wlan0 mode ad-hoc" return
"device busy". This has been happening with fedora release of kernel 2.6.23,
after upgrading to kernel 2,6,24 0.62.rc3.git5.fc9, a message about circular
lock inside iwl4965 driver started to appear in the log on driver load (log
fragment in attachment).

Version-Release number of selected component (if applicable):

ThinkPad T61
Intel Core 2 Duo CPU in x86_64 mode
Intel Corporation PRO/Wireless 4965 AG or AGN Network Connection (rev 61)

How reproducible:

Always, just try to use the wifi card.

Additional info:

A colleague of mine reports the card is working on the same notebook with Gentoo
build of iwlwifi drivers version 1.1.21, as far as I could tell the drivers in
the fedora kernel are 1.1.19, the rawhide kernel has reverted to 1.1.17 ?
Comment 1 Petr Tuma 2007-12-05 01:14:35 EST
Created attachment 277661 [details]
Kernel message about circular lock dependency
Comment 2 John W. Linville 2007-12-05 09:40:47 EST
Not sure where your iwlwifi driver version data comes from -- the 
62.rc3.git5.fc9 kernel had iwlwifi version 1.1.19.  Please be sure that any 
version numbers cited match what you are actually testing, just to avoid 
confusion. :-)

FWIW, the iwlwifi version in the 72.rc4.fc9 kernels is 1.2.22k.  Would you 
mind testing that instead?  Thanks!
Comment 3 Petr Tuma 2007-12-06 15:50:06 EST
Tested with 2.6.24-0.73.rc4.git1.fc9, same result (another log attached, I guess
the symbols will be placed at different addresses).

As far as the driver version goes, I have just grepped for IWLWIFI_VERSION in
the source package, the patch file says +#define IWLWIFI_VERSION "1.1.17k" VD VS
so I have guessed it is 1.1.17 :-) ...
Comment 4 Petr Tuma 2007-12-06 15:51:02 EST
Created attachment 280181 [details]
Circular lock log for the current rawhide kernel
Comment 5 Petr Tuma 2007-12-23 10:46:27 EST
Traced to a script which was upping the interface too fast after hotplug, and
things such as mode change need a downed interface to work. Not sure what the
circular lock log message means in that context, but it is most likely not
important per se.

Note You need to log in before you can comment on or make changes to this bug.